using System;

internal sealed class Delegate364 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate364 delegate364_1)
	{
		return delegate364_1(object_0);
	}

	public extern Delegate364(object object_0, IntPtr intptr_0);

	static Delegate364()
	{
		Class10.smethod_13(typeof(Delegate364).TypeHandle);
	}

	internal static Delegate364 delegate364_0;
}
